summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Gethyn ThomasQuail2015-12-18 17:33:02 +0100
committer Willy Sudiarto Raharjo2015-12-19 01:23:13 +0100
commit82871a1503a5708eade92618a6f6bdb94bfcfa54 (patch)
tree6f0adaa9d63f9339acd8663f35c7d6b21ebe292e /development
parent2d8013b5d94871b76a3937893589c23f25a79b55 (diff)
downloadslackbuilds-82871a1503a5708eade92618a6f6bdb94bfcfa54.tar.gz
development/vispatch: Added (VIS Patching for Quake BSPs).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/vispatch/README12
-rw-r--r--development/vispatch/slack-desc19
-rw-r--r--development/vispatch/vispatch.SlackBuild89
-rw-r--r--development/vispatch/vispatch.info10
4 files changed, 130 insertions, 0 deletions
diff --git a/development/vispatch/README b/development/vispatch/README
new file mode 100644
index 0000000000..55a654349b
--- /dev/null
+++ b/development/vispatch/README
@@ -0,0 +1,12 @@
+VisPatch is a tool for patching quake maps for transparent water in glquake. Original quake didn't have
+their maps water-vis'ed, so people did that by themselves and prepared patch data files. This tool is
+used for preparing and applying those patch files.
+
+At the time this tool was written, re-vis'ing maps took a lot of time, but applying a vispatch took
+less than minutes, so this was a necessity. Even today, if people don't want going into a 'complex'
+job of vising, this tool comes as a great convenience because there are a lot of vispatch data files
+around.
+
+This is a revised version of Andy Bay's 1.2a source code for unix (linux, freebsd, ...), as well as
+windows. It fixes a number of compilation issues, crashes and some other bugs, and resolves endianness
+issues. The source code is licensed under GPLv2, and is maintained here with portability in mind.
diff --git a/development/vispatch/slack-desc b/development/vispatch/slack-desc
new file mode 100644
index 0000000000..f6f963b39f
--- /dev/null
+++ b/development/vispatch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+vispatch: vispatch (VIS Patching for Quake BSPs)
+vispatch:
+vispatch: VisPatch is a tool for patching quake maps for transparent water in
+vispatch: glquake. Original quake didn't have their maps water-vised, so
+vispatch: people did that by themselves and prepared patch data files. This
+vispatch: tool is used for preparing and applying those patch files.
+vispatch:
+vispatch: Homepage: http://vispatch.sourceforge.net/
+vispatch:
+vispatch:
+vispatch:
diff --git a/development/vispatch/vispatch.SlackBuild b/development/vispatch/vispatch.SlackBuild
new file mode 100644
index 0000000000..a4b851f075
--- /dev/null
+++ b/development/vispatch/vispatch.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for vispatch
+#
+# Copyright 2015 Gethyn ThomasQuail <gethyn@bloodbathsoftworks.com>
+# All rights reserved.
+#
+# Based on:
+# SBo's cmake-template
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vispatch
+VERSION=${VERSION:-1.4.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz || tar xvf $CWD/$VERSION.tgz
+cd $PRGNAM-$VERSION/source
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Let's compile!
+make
+
+# Copies over compiled binary
+install -D -m 0755 vispatch $PKG/usr/bin/vispatch
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a vispatch.txt COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/vispatch/vispatch.info b/development/vispatch/vispatch.info
new file mode 100644
index 0000000000..64b0e07586
--- /dev/null
+++ b/development/vispatch/vispatch.info
@@ -0,0 +1,10 @@
+PRGNAM="vispatch"
+VERSION="1.4.6"
+HOMEPAGE="http://vispatch.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/vispatch/vispatch/1.4.6/vispatch-1.4.6.tgz"
+MD5SUM="b9717f834b4e8c15e5992f838c2958e1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gethyn ThomasQuail"
+EMAIL="gethyn@bloodbathsoftworks.com"